.header {
  position: sticky;
  z-index: 50;
  top: 8px;
  margin-bottom: -72px;
}

.header--fixed .header__wrap {
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.header__wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 12px;
  padding-left: 24px;
  background-color: #fff;
  border-radius: 24px;
  transition: box-shadow 0.3s;
}

.header__wrap1 {
  display: none;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 7px 16px;
  background-color: #fff;
  border-bottom: 1px solid #e2e4e9;
  transition: box-shadow 0.3s;
}

.header__menu {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  gap: 16px;
}

.header__menu li a {
  display: inline-block;
  padding: 8px 14px;
  font-size: 14px;
  border-radius: 300px;
  transition: background-color 0.3s;
}

.toggle {
  position: relative;
  width: 24px;
  height: 24px;
  cursor: pointer;
}

.toggle::after {
  content: "";
  position: absolute;
  inset: -10px;
}

.toggle.active .toggle__line {
  background-color: transparent;
}

.toggle.active .toggle__line::after {
  top: 0;
  transform: rotate(45deg);
}

.toggle.active .toggle__line::before {
  top: 0;
  transform: rotate(-45deg);
}

.toggle__line {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 24px;
  height: 2px;
  background-color: #00091A;
  border-radius: 300px;
  transition: all 0.3s;
}

.toggle__line::after {
  content: "";
  position: absolute;
  top: -7px;
  left: 0;
  right: 0;
  height: 2px;
  background-color: #00091A;
  border-radius: 300px;
  transition: all 0.3s;
}

.toggle__line::before {
  content: "";
  position: absolute;
  bottom: -7px;
  left: 0;
  right: 0;
  height: 2px;
  background-color: #00091A;
  border-radius: 300px;
  transition: all 0.3s;
}

@media (max-width: 1200px) {
  .header {
    top: 0;
    margin-bottom: -62px;
  }

  .header--fixed .header__wrap {
    box-shadow: none;
  }

  .header--fixed .header__wrap1 {
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  }

  .header .container {
    padding: 0;
  }

  .header__wrap {
    position: fixed;
    top: 63px;
    left: 0;
    width: 100%;
    height: calc(100% - 63px);
    overflow: auto;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-start;
    padding: 15px 15px 50px;
    border-radius: 0;
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
  }

  .header__wrap.active {
    visibility: visible;
    opacity: 1;
    pointer-events: initial;
  }

  .header__wrap .logo {
    display: none;
  }

  .header__wrap .btn1 {
    display: flex;
    width: 100%;
    text-align: center;
    padding: 13px 10px;
    margin-top: 30px;
  }

  .header__wrap1 {
    display: flex;
  }

  .header__menu {
    gap: 0;
  }

  .header__menu li {
    width: 100%;
  }

  .header__menu li a {
    display: block;
    font-size: 12px;
    padding: 16px;
  }
}

@media (hover: hover) {
  .header__menu li a:hover {
    background-color: #F2F3F4;
  }
}